/****************************************
 *  COPYRIGHT (C) 2006
 *  Holger Graf
 ****************************************/
package sitool.components;

/**
 * @author graf
 *
 */
public class BuildListItem
{
    public Planet planet;
    public boolean isAstro;
    public Building building;
    public int level;

    public BuildListItem( Planet planet, boolean isAstro, Building building, int level )
    {
        super();
        this.planet = planet;
        this.isAstro = isAstro;
        this.building = building;
        this.level = level;
    }

    public boolean equals( Object obj )
    {
        boolean rv = false;
        if( obj instanceof BuildListItem )
        {
            BuildListItem that = ( BuildListItem )obj;
            rv = this.planet.equals( that.planet );
            rv &= ( this.isAstro == that.isAstro );
            rv &= ( this.building == that.building );
            rv &= ( this.level == that.level );
        }
        return rv;
    }

    public Long getKey()
    {
        long key;
        
        Position position = planet.getPosition();
        key = position.getGalaxy();
        key *= 1000;
        key += position.getSystem();
        key *= 100;
        key += position.getPlanet();
        key *= 10;
        key += ( isAstro ) ? 1 : 0;
        
        return Long.valueOf( key );
    }
}
