package sitool.components;

import java.awt.FlowLayout;
import java.util.Calendar;
import java.util.Date;

import javax.swing.JComponent;
import javax.swing.JSpinner;
import javax.swing.SpinnerDateModel;


public class DateTimeField extends JComponent
{
	private static final long serialVersionUID = -2097477418497166918L;

	private static final long min = 60000;
	private static final long max = 91 * 24 * 60 * min; 
	private SpinnerDateModel model;

	public DateTimeField()
	{
		super();
		super.setLayout( new FlowLayout( FlowLayout.LEFT ) );

		JSpinner spinner;
        long now = System.currentTimeMillis();
        
        model = new SpinnerDateModel( new Date(now), new Date( now - min ), new Date( now + max ), Calendar.HOUR_OF_DAY );
        
        spinner = new JSpinner( model );
        spinner.setEditor(new JSpinner.DateEditor( spinner, "HH:mm dd.MM.yyyy" ) );
        add( spinner );
	}

	public Date getDate()
	{
        return (Date) model.getValue();
	}
}
