/****************************************
 *  COPYRIGHT (C) 2023
 *  Holger Graf
 ****************************************/
package sitool.components;

/**
 *
 */
public class PlanetData {

    private final int x;
    private final int y;
    private final int t;

    public PlanetData( int x, int y, int temperature ) {
        this.x = x;
        this.y = y;
        this.t = temperature;
    }

    public PlanetData( int... data ) {
       this( (data.length > 0) ? data[0] : 0,
             (data.length > 1) ? data[1] : 0,
             (data.length > 2) ? data[2] : 0 );
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public int getTemperature() {
        return t;
    }
}
