/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.components;

import sitool.ConfigData;

/**
 * @author graf
 *
 */
public class TechValue
{
    private int value;
    private ConfigData configData;

    /**
     * @param value
     */
    public TechValue( ConfigData configData, int value )
    {
        super();
        this.value = value;
        this.configData = configData;
    }

    /**
     * @return the value
     */
    public int getValue()
    {
        return value;
    }

    /**
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals( Object obj )
    {
        boolean rv = false;
        if( obj instanceof TechValue)
        {
            rv = ( value == ((TechValue)obj).value );
        }
        return rv;
    }

    /**
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode()
    {
        return value;
    }

    /**
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString()
    {
        return configData.getI18nText( getClass().getSimpleName(), Integer.valueOf( value ), Integer.valueOf( 10 * value ) );
    }
    
    
    
}
