/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.components;


public class Technology implements Cloneable
{
    private int energy = 0;
    private int mining = 0;

    private int drive = 0;
    private int rocket = 0;
    private int diffusion = 0;
    private int warp = 0;

    private int espionage = 0;

    private int weapons = 0;
    private int shields = 0;
    private int structure = 0;

    private int target = 0;
    private int particle = 0;
    private int teleportation = 0;
    private int graviton = 0;
    private int blackhole = 0;

    public Technology() {}

    /**
     * @see java.lang.Object#clone()
     */
    @Override
    public Technology clone() throws CloneNotSupportedException {
        return (Technology)super.clone();
    }



    public int getTech( Research research )
    {
        int rv = 0;
        if( research != null )
        {
            switch( research )
            {
                case energy:
                    rv = energy;
                    break;
                case mining:
                    rv = mining;
                    break;
                case drive:
                    rv = drive;
                    break;
                case rocket:
                    rv = rocket;
                    break;
                case diffusion:
                    rv = diffusion;
                    break;
                case warp:
                    rv = warp;
                    break;
                case espionage:
                    rv = espionage;
                    break;
                case weapons:
                    rv = weapons;
                    break;
                case shields:
                    rv = shields;
                    break;
                case structure:
                    rv = structure;
                    break;
                case target:
                    rv = target;
                    break;
                case particle:
                    rv = particle;
                    break;
                case teleportation:
                    rv = teleportation;
                    break;
                case graviton:
                    rv = graviton;
                    break;
                case blackhole:
                    rv = blackhole;
                    break;
            }
        }
        return rv;
    }

    public int getTech( Ship.Type drive )
    {
        int rv = 0;
        if( drive != null )
        {
            switch( drive )
            {
                case Rocketdrive:
                    rv = rocket;
                    break;
                case Diffusiondrive:
                    rv = diffusion;
                    break;
                case Warpdrive:
                    rv = warp;
                    break;
            }
        }
        return rv;
    }

    public void setTech( Research research, int level )
    {
        if( research != null )
        {
            switch( research )
            {
                case mining:
                    setMining( level );
                    break;
                case energy:
                    setEnergy( level );
                    break;
                case drive:
                    setDrive( level );
                    break;
                case rocket:
                    setRocket( level );
                    break;
                case diffusion:
                    setDiffusion( level );
                    break;
                case warp:
                    setWarp( level );
                    break;
                case espionage:
                    setEspionage( level );
                    break;
                case weapons:
                    setWeapons( level );
                    break;
                case shields:
                    setShields( level );
                    break;
                case structure:
                    setStructure( level );
                    break;
                case target:
                    setTarget( level );
                    break;
                case particle:
                    setParticle( level );
                    break;
                case graviton:
                    setGraviton( level );
                    break;
                case teleportation:
                    setTeleportation( level );
                    break;
                case blackhole:
                    setBlackhole( level );
                    break;
            }
        }
    }

    public int getEnergy()
    {
        return energy;
    }

    public void setEnergy( int energy )
    {
        this.energy = energy;
    }

    public int getMining()
    {
        return mining;
    }

    public void setMining( int mining )
    {
        this.mining = mining;
    }

    public int getDrive()
    {
        return drive;
    }

    public void setDrive( int drive )
    {
        this.drive = drive;
    }

    public int getRocket()
    {
        return rocket;
    }

    public void setRocket( int rocket )
    {
        this.rocket = rocket;
    }

    public int getDiffusion()
    {
        return diffusion;
    }

    public void setDiffusion( int diffusion )
    {
        this.diffusion = diffusion;
    }

    public int getWarp()
    {
        return warp;
    }

    public void setWarp( int warp )
    {
        this.warp = warp;
    }

    public int getEspionage()
    {
        return espionage;
    }

    public void setEspionage( int espionage )
    {
        this.espionage = espionage;
    }

    public int getWeapons()
    {
        return weapons;
    }

    public void setWeapons( int weapons )
    {
        this.weapons = weapons;
    }

    public int getShields()
    {
        return shields;
    }

    public void setShields( int shields )
    {
        this.shields = shields;
    }

    public int getStructure()
    {
        return structure;
    }

    public void setStructure( int structure )
    {
        this.structure = structure;
    }

    public int getTarget()
    {
        return target;
    }

    public void setTarget( int target )
    {
        this.target = target;
    }

    public int getParticle()
    {
        return particle;
    }

    public void setParticle( int particle )
    {
        this.particle = particle;
    }

    public int getTeleportation()
    {
        return teleportation;
    }

    public void setTeleportation( int teleporter )
    {
        this.teleportation = teleporter;
    }

    public int getGraviton()
    {
        return graviton;
    }

    public void setGraviton( int graviton )
    {
        this.graviton = graviton;
    }

    public int getBlackhole()
    {
        return blackhole;
    }

    public void setBlackhole( int blackhole )
    {
        this.blackhole = blackhole;
    }

    public boolean isValid()
    {
        boolean rv = (energy != 0 )
                || ( mining != 0 )
                || ( drive != 0 )
                || ( rocket != 0 )
                || ( diffusion != 0 )
                || ( warp != 0 )
                || ( espionage != 0 )
                || ( weapons != 0 )
                || ( shields != 0 )
                || ( structure != 0 )
                || ( target != 0 )
                || ( particle != 0 )
                || ( teleportation != 0 )
                || ( graviton != 0 )
                || ( blackhole != 0 );

        return rv;
    }
}
