/****************************************
 *  COPYRIGHT (C) 2009-2024
 *  Dutch translation done by Trireme
 ****************************************/
package sitool.i18n;

import java.util.ListResourceBundle;

import sitool.components.Building;
import sitool.components.CostReduction;
import sitool.components.Defense;
import sitool.components.Research;
import sitool.components.Resource;
import sitool.components.Ship;
import sitool.components.Unit;
import sitool.components.Version;

/**
 * @author Trireme
 *
 */
public class Messages_nl extends ListResourceBundle
{
    // I'm less than impressed with the .properties handling (especially this native2ascii thingie),
    // lets try this
    private static final Object[][] contents =
    {
        // controls
        { "OK", "OK" },
        { "Close", "Sluiten" },
        { "Cancel", "Afbreken" },
        { "New", "Nieuw" },
        { "Load", "Laden..." },
        { "Save", "Opslaan..." },
        { "Import", "Importeren..." },
        { "load", "laden {0}" },
        { "save", "opslaan {0}" },
        { "file.exists", "Bestand bestaat al. Wilt u het overschrijven?" },
        { "confirm.overwrite", "bevestig overschrijving" },
        { "Compute", "Berekenen" },
        { "Warning", "Waarschuwing" },
        { "Really.quit", "Daadwerkelijk stoppen?" },
        { "Planet", "Planeet" },
        { "Asteroid", "Asteroïde"},
        { "Building", "Gebouw" },
        { "Temperature", "Temperatuur" },
        { "Level", "Fase" },
        { "max.Level", "max. Level" },
        { "WeaponsFact.level", "{0} level" },
        { "DevC.level", "Ont.C level" },
        { "Msa.level", "MSV level" },
        { "Energy", "Energie" },
        { "day.symbol", "D" },
        { "add", "Toevoegen" },
        { "cancel", "afbreken" },
        { "delete", "Verwijder geselecteerde" },
        { "deleteAll", "Verwijder alles" },
        // TechValue
        { "TechValue", "Level: {0} (+{1}%)" },
        // enums
        // Language
        { Language.german.name(), "Duits" },
        { Language.english.name(), "Engels" },
        { Language.french.name(), "Frans" },
        { Language.russian.name(), "Russisch" },
        { Language.dutch.name(), "Nederlands" },
        // Building
        { Building.ironMine.name(), "Ruwijzermijn" },
        { Building.furnace.name(), "Hoogoven" },
        { Building.kryptoniteMine.name(), "Kryptonietmijn" },
        { Building.spiceMine.name(), "Spicemijn" },
        { Building.fusionPlant.name(), "Fusie krachtcentrale" },
        { Building.thermosolarPlant.name(), "Thermische zonnefabriek" },
        { Building.developmentCenter.name(), "Ontwikkelingscentrum" },
        { Building.researchLab.name(), "Onderzoekslaboratorium" },
        { Building.superComputer.name(), "Super Computer" },
        { Building.weaponsFactory.name(), "Wapenfabriek" },
        { Building.fleetBase.name(), "Vlootbasis" },
        { Building.ironStorage.name(), "Ruwijzer magazijn" },
        { Building.metalStorage.name(), "Metaal magazijn" },
        { Building.kryptoniteStorage.name(), "Kryptoniet magazijn" },
        { Building.spiceStorage.name(), "Spice magazijn" },
        { Building.particleCannon.name(), "Partikelkanon" },
        { Building.particleShield.name(), "Partikelschild" },
        { Building.msa.name(), "Microsysteem versneller" },
        { Building.teleporter.name(), "Teleporter" },
        { Building.scanner.name(), "Galaxyscanner" },
        { Building.tunnel.name(), "Tunnel system" },
        // defense
        { Defense.mortar.name(), "Mortier" },
        { Defense.turboFlak.name(), "Turbo luchtdoelgeschut" },
        { Version.v20.name() + "." + Defense.turboFlak.name(), "Turboflak" },
        { Defense.gravitonCannon.name(), "Licht zwaartekracht kanon" },
        { Version.v20.name() + "." + Defense.gravitonCannon.name(), "Licht gravitonkanon" },
        { Defense.heavyGravitonCannon.name(), "Zware Graviton kanon" },
        { Version.v20.name() + "." + Defense.heavyGravitonCannon.name(), "Zwaar gravitonkanon" },
        { Defense.ionGun.name(), "Ionengeschut" },
        { Defense.positronLighter.name(), "Positron Lighter" },
        { Version.v20.name() + "." + Defense.positronLighter.name(), "Positron laser" },
        { Defense.intervalCannon.name(), "Interval kanon" },
        { Version.v20.name() + "." + Defense.intervalCannon.name(), "Intervalkanon" },
        { Defense.laserBattery.name(), "Laserkanon batterij" },
        { Defense.solarGun.name(), "Zonne-geschut" },
        { Version.v20.name() + "." + Defense.solarGun.name(), "Zonnegeschut" },
        { Defense.smallShieldDome.name(), "Kleine schildkoepel" },
        { Version.v20.name() + "." + Defense.smallShieldDome.name(), "Kleine schildkoeper" },
        { Defense.largeShieldDome.name(), "Grote schildkoepel" },
        // Research
        { Research.mining.name(), "Mijn technologie" },
        { Research.energy.name(), "Energie technologie" },
        { Research.drive.name(), "Aandrijvingsonderzoek" },
        { Research.rocket.name(), "Raketaandrijving" },
        { Research.diffusion.name(), "Diffusieaandrijving" },
        { Research.warp.name(), "Warpaandrijving" },
        { Research.espionage.name(), "Spionage technologie" },
        { Research.weapons.name(), "Wapen technologie" },
        { Research.shields.name(), "Schild technologie" },
        { Research.structure.name(), "Verdedigingssystemen" },
        { Research.target.name(), "Doelsystemen" },
        { Research.particle.name(), "Partikel-Analyser" },
        { Version.v20.name() + "." + Research.particle.name(), "Partikel-analyse" },
        { Research.graviton.name(), "Zwaartekracht technologie" },
        { Version.v20.name() + "." + Research.graviton.name(), "Graviton technologie" },
        { Research.teleportation.name(), "Teleportatie" },
        { Research.blackhole.name(), "Het zwarte gat onderzoek" },
        { Version.v20.name() + "." + Research.blackhole.name(), "Zwart gat onderzoek" },
        // Resource
        { Resource.iron.name(), "Ruwijzer" },
        { Resource.metal.name(), "Metaal" },
        { Resource.kryptonite.name(), "Kryptoniet" },
        { Resource.spice.name(), "Spice" },
        // ship
        { Ship.none.name(), "" },
        { Ship.smallTransport.name(), "Kleine transporter" },
        { Ship.largeTransport.name(), "Grote transporter" },
        { Ship.transmitter.name(), "Transmitter" },
        { Ship.smallFighter.name(), "Kleine jager" },
        { Ship.manOWar.name(), "Oorlogsschip" },
        { Ship.starCruiser.name(), "Star Cruiser" },
        { Version.v20.name() + "." + Ship.starCruiser.name(), "Sterren kruiser" },
        { Ship.phoenix.name(), "Phoenix" },
        { Ship.colonyShip.name(), "Kolonie schip" },
        { Version.v20.name() + "." + Ship.colonyShip.name(), "Kolonieschip" },
        { Ship.solarCell.name(), "Zonnecel" },
        { Ship.probe.name(), "Spionagesonde" },
        { Ship.recycler.name(), "Recycler" },
        { Ship.battleship.name(), "Gevechtsschip" },
        { Version.v20.name() + "." + Ship.battleship.name(), "Gevechtschip" },
        { Ship.stealthBomber.name(), "Camouflage Bommenwerper" },
        { Ship.destroyer.name(), "Vernietiger" },
        { Ship.imperialStarbase.name(), "Imperiaale sterrenbasis" },
        { Ship.jammer.name(), "Stoorzendersonde" },
        { Ship.empbomb.name(), "EMP bom" },
        { Ship.scanship.name(), "Scanner schip" },
        // Version
        { Version.nexus.name(), "Nexus" },
        { Version.retro.name(), "Retro" },
        { Version.sirius.name(), "Sirius" },
        { Version.genesis.name(), "GeNeSIS5" },
        { Version.solaris.name(), "GeNeSIS4" },
        { Version.speed.name(), "Speed" },
        { Version.infinity.name(), "Infinity" },
        { Version.v20.name(), "2.0" },
        // MainFrame
        { "MainFrame.menu.file", "Bestand" },
        { "MainFrame.menu.file.mnemonic", "B" },
        { "MainFrame.menu.file.exit", "Verlaten" },
        { "MainFrame.menu.file.exit.mnemonic", "e" },
        { "MainFrame.menu.skins", "Skins" },
        { "MainFrame.menu.skins.mnemonic", "S" },
        { "MainFrame.menu.skins.default", "Default" },
        { "MainFrame.menu.skins.default.mnemonic", "D" },
        { "MainFrame.menu.skins.black", "Black" },
        { "MainFrame.menu.skins.black.mnemonic", "B" },
        { "MainFrame.menu.skins.blue", "Blue" },
        { "MainFrame.menu.skins.blue.mnemonic", "l" },
        { "MainFrame.menu.skins.bluesteel", "Blue Steel" },
        { "MainFrame.menu.skins.bluesteel.mnemonic", "u" },
        { "MainFrame.menu.skins.blacksteel", "Black Steel" },
        { "MainFrame.menu.skins.blacksteel.mnemonic", "a" },
        { "MainFrame.menu.skins.creme", "Creme" },
        { "MainFrame.menu.skins.creme.mnemonic", "r" },
        { "MainFrame.menu.skins.challenger", "Challenger" },
        { "MainFrame.menu.skins.challenger.mnemonic", "C" },
        { "MainFrame.menu.skins.emerald", "Emerald" },
        { "MainFrame.menu.skins.emerald.mnemonic", "E" },
        { "MainFrame.menu.skins.graphite", "Graphite" },
        { "MainFrame.menu.skins.graphite.mnemonic", "G" },
        { "MainFrame.menu.skins.nebula", "Nebula" },
        { "MainFrame.menu.skins.nebula.mnemonic", "N" },
        { "MainFrame.menu.skins.raven", "Raven" },
        { "MainFrame.menu.skins.raven.mnemonic", "R" },
        { "MainFrame.menu.skins.sahara", "Sahara" },
        { "MainFrame.menu.skins.sahara.mnemonic", "a" },
        { "MainFrame.menu.skins.silver", "Silver" },
        { "MainFrame.menu.skins.silver.mnemonic", "S" },
        { "MainFrame.menu.skins.restart", "Opnieuw opstarten vereist" },
        { "MainFrame.menu.skins.restart.text", "Deze verandering vereist een herstart van het programma. Doorgaan?" },
        { "MainFrame.menu.help", "Help" },
        { "MainFrame.menu.help.mnemonic", "H" },
        { "MainFrame.menu.help.help", "Help..." },
        { "MainFrame.menu.help.help.mnemonic", "H" },
        { "MainFrame.menu.help.info", "Info..." },
        { "MainFrame.menu.help.info.mnemonic", "I" },
        { "MainFrame.account", "Account" },
        { "MainFrame.accounts", "Accounts..." },
        { "MainFrame.planets", "Planeten" },
        { "MainFrame.asteroids", "Asteroïdes" },
        { "MainFrame.savecalc", "Safe vlucht Calculator" },
        { "MainFrame.flighttime", "Vluchttijd" },
        { "MainFrame.fleet", "Vloot" },
        { "MainFrame.research", "Onderzoeken" },
        { "MainFrame.buildings", "Gebouwen" },
        { "MainFrame.resources", "Economie" },
        { "MainFrame.statistics", "Statistieken" },
        { "MainFrame.techtree", "Techtree" },
        { "MainFrame.trade", "Handel" },
        //help
        { "Help.title", "{0} Help" },
        { "Help.url", "/help_nl.html" },
        // points
        { "Points", "Punten" },
        { "Points.buildings", "Gebouwen: " },
        { "Points.research", "Ontwikkeling: " },
        { "Points.fleet", "Vloten: " },
        { "Points.tactical", "Tac Fleet Strength: " },
        { "Points.total", "Totaal: " },
        // account
        { "Account.title", "Accounts" },
        { "Account.name", "Account naam" },
        { "Account.isdefault", "default" },
        { "Account.language", "Taal" },
        { "Account.version", "Versie" },
        { "Account.speed", "Snelheid" },
        { "Account.speedUp", "Speed-Up" },
        { "Account.fleetSpeed", "Fleet speed" },
        { "Account.specialization", "Specialization" },
        { "Account.fleeter", "Fleeter" },
        { "Account.miner", "Miner" },
        { "Account.researcher", "Researcher" },
        { "Account.productionBonus", "Bonus" },
        { "Account.spectral", "Spectral Mode" },
        { "Account.importPlanets", "Intergalactic planet overview" },
        { "Account.importSpyReports", "Spionagebericht" },
        { "Account.create", "Account aanmaken" },
        { "Account.remove.selected", "Verwijder geselecteerde" },
        { "Account.already.exists", "Account bestaat al" },
        { "Account.unsaved.data", "Je hebt de data niet opgeslagen. Sluiten?" },
        { "Account.outpost", "Outpost" },
        // planet
        { "Planet.marker", "Planet" },
        { "Planet.name", "Planet naam" },
        { "Planet.position", "Positie" },
        { "Planet.size", "Grootte" },
        { "Planet.temperature", "Temperatuur" },
        { "Planet.own", "Eigen planet" },
        { "Planet.astrosize", "Grootte asteroïde" },
        { "Planet.coordinates", "Coördinaten" },
        { "Planet.import", "Importeer Planeet..." },
        // import planet
        { "PlanetBox.title", "Importeer Planeet" },
        { "PlanetBox.spyMarker", "Spionagebericht van" },
        // coordinator
        { "Coordinator.title", "Coordinator" },
        { "Coordinator.galaxyTicks", "Galaxy Spin" },
        { "Coordinator.ticks", "Spin" },
        { "Coordinator.filter", "Filter" },
        { "Coordinator.myPlanets", "Own planets" },
        { "Coordinator.sync", "Synchronise automatically..." },
        { "CoordinatorBox.title", "Synchronise" },
        // savecalc
        { "Savecalc.ownPlanets", "Mijn planeten" },
        { "Savecalc.speed", "Vlootsnelheid" },
        { "Savecalc.coords", "Vertrekplaneet" },
        { "Savecalc.flightTime", "Totale vluchtduur" },
        { "Savecalc.calculate", "Bereken..." },
        { "Savecalc.calculateSaveflight", "Bereken Save vucht" },
        { "Savecalc.select1", "Selecteer meest" },
        { "Savecalc.select2", "precieze safe vlucht" },
        { "Savecalc.add", "Voeg geselcteerde toe" },
        { "Savecalc.addAll1", "Voeg geslecteerde toe" },
        { "Savecalc.addAll2", "voor al mijn planeten" },
        { "Savecalc.delete", "Verwijder geselecteerde" },
        { "Savecalc.deleteAll", "Verwijder alles" },
        { "Savecalc.currentFlights", "Berekende safe vluchten" },
        { "Savecalc.savedFlights", "Opgeslagen safe vluchten" },
        { "Savecalc.currentTime", "Huidige tijd" },
        { "Savecalc.onewayTime", "Terugkeerspunt" },
        { "Savecalc.returnTime", "Aankomst" },
        { "Savecalc.table.start", "Vertrekplaneet" },
        { "Savecalc.table.end", "Doelplaneet" },
        { "Savecalc.table.longdistance", "lange afstand" },
        { "Savecalc.table.factor", "%" },
        { "Savecalc.table.speed", "Snelheid" },
        { "Savecalc.table.oneway", "een afstand" },
        { "Savecalc.table.total", "totaalduur" },
        { "DateBox.title", "Aankomst" },
        { "DateBox.label", "Gewenste aankomsttijd:" },
        // fleet speed
        { "FleetspeedBox.title", "Vlootsnelheid" },
        // flight time
        { "Flighttime.duration", "Duur" },
        { "Flighttime.start", "Vertrekplaneet" },
        { "Flighttime.target", "Doelplanet" },
        { "Flighttime.available", "Beschikbaar" },
        { "Flighttime.number", "Verzenden" },
        { "Flighttime.calculate", "Bereken" },
        { "Flightvelocity.calculate", "Bereken vlootsamenstelling" },
        { "Flightvelocity.select", "Selecteer meest precieze" },
        { "Flighttime.distance", "Afstand" },
        { "Flighttime.useAvailable", "Gebruik alleen beschikbare" },
        { "Flighttime.useTransporter", "Gebruik alleen vervoersschepen" },
        { "Flighttime.selectAll", "Selecteer alles" },
        { "Flighttime.deselectAll", "Deselecteer alles" },
        { "Flighttime.farmKing", "Farm king" },
        { "Flighttime.allianceSpecialization", "Alliantiespecialisaties" },
        // build queue
        { "BuildList.title", "Bouwlijst" },
        { "BuildList.constructor", "Bouw commandant" },
        // research queue
        { "TechList.title", "Onderzoekslijst" },
        // import buildings
        { "BuildingBox.title", "Gebouwen importeren voor: {0}" },
        // fleet
        { "fleet.ships", "Schepen" },
        { "fleet.all.ships", "Alle Schepen" },
        { "fleet.LoadCapacity", "Vloot Laadcapaciteit" },
        { "fleet.defense", "Verdediging" },
        { "fleet.tactical", "Tactical Fleet Strength" },
        { "fleet.fleetbuilder", "Vlootbouw Calculator" },
        { "fleet.engineer", "Ingenieur" },
        { CostReduction.normal.name(), "Bouwtijd: normaal" },
        { CostReduction.level1.name(), "Bouwtijd: x10, kosten: -5%" },
        { CostReduction.level2.name(), "Bouwtijd: x30, kosten: -10%" },
        { CostReduction.level3.name(), "Bouwtijd: x50, kosten: -20%" },
        { CostReduction.level4.name(), "Bouwtijd: x100, kosten: -30%" },
        // import ships
        { "ShipBox.title", "Schepen importeren voor: {0}" },
        { "ShipBox.view.marker", "[Bb]onus" },
        { "ShipBox.end.marker", "Alliantie aanvallen" },
        // import defenses
        { "DefenseBox.title", "Verdediging importeren voor: {0}" },
        // tac fleet strength
        { "Tactical.available", "Mijn vloot" },
        { "Tactical.number", "Nummer" },
        { "Tactical.base", "Basiswaarde" },
        { "Tactical.bonus", "Bonus" },
        { "Tactical.sync", "Sync" },
        { "Tactical.reset", "Reset" },
        // resource view
        { "Resources.multipleProduction", "Production multiplier: " },
        { "Resources.mentorBonus", "Bonus (%): " },
        { "Resources.allianceSpecialization.producer", "Producent (%): " },
        { "Resources.productionBonus", "Production bonus (%)" },
        { "Resources.production", "Productie voor " },
        { "Resources.vacationMode", "Vakantie mode" },
        { "Resources.import", "Importeer grondstoffen..." },
        { "Resources.inFlight", "On flight missions" },
        { Unit.Minute.name(), "Minu(u)te(n)" },
        { Unit.Hour.name(), "U(u)r(en)" },
        { Unit.Day.name(), "Dag(en)" },
        // import resources
        { "ResourceBox.title", "Importeer grondstoffen" },
        { "AstroResourceBox.title", "Grondstoffen importeren voor {0}" },
        // technology
        { "TechBox.title", "Importeer onderzoeken" },
        { "TechBox.button", "Onderzoeken importeren..." },
        { "Bonus.mine.production", " +{0}% mijn productie" },
        { "Bonus.energy.production", " +{0}% energie productie" },
        { "Bonus.rocket", " +{0}% snelheid voor alle raketaandrijvingen" },
        { "Bonus.diffusion", " +{0}% snelheid voor alle diffusie-aandrijvingen" },
        { "Bonus.warp", " +{0}% snelheid voor alle warpaandrijvingen" },
        { "Bonus.firepower", " +{0}% vuurkracht" },
        { "Bonus.shields", " +{0}% schilden" },
        { "Bonus.structure", " +{0}% structuur" },
        // table models
        { "total.points", "Total:   " },
        { "total", "Totaal" },
        { "resourceequivalenz", "Middelen gelijkwaardig zijn aan" },
        { "Structure", "Structuur" },
        { "Shield", "Schilden" },
        { "Firepower", "Vuurkracht" },
        { "Velocity", "Snelheid" },
        { "Holds", "Laadcapaciteit" },
        { "Consumption", "Verbruik" },
        { "Buildtime", "Bouwtijd" },
        { "Researchtime", "Onderzoekstijd" },
        { "Number", "Nummer" },
        { "Transmitters", "Trans- mitter" },
        { "Capacity", "Capaciteit" },
        { "Efficiency", "Efficientie" },
        { "Sum", "Total" },
        // statistics
        { "statistics.buildings", "Gebouwen" },
        { "statistics.research", "Onderzoek" },
        { "statistics.ships", "Schepen" },
        { "statistics.defense", "Verdediging" },
        { "Research", "Onderzoek" },
        { "ResearchLab", "Onderzoekslaboratorium" },
        { "Production.p.h", "Productie/uur" },
        { "Production.p.h.temp", "Productie/uur bij {0} °C" },
        { "Metalproduction.p.h", "Metaalproductie/uur" },
        { "Energyproduction.p.h", "Energieproductie/uur" },
        { "Ironconsumption.p.h", "Ruwijzerproductie/uur" },
        { "Energyconsumption.p.h", "Energieverbruik/uur" },
        { "Spiceconsumption.p.h", "Spiceverbruik/uur" },
        { "Particle.buffer", "Partikelopslag" },
        { "Range", "Bereik" },
        { "one.system", "eigen systeem" },
        { "header.bonus.mining", "Mijnproductie" },
        { "header.bonus.energy", "Energieproductie" },
        { "header.bonus.weapons", "Vuurkracht" },
        { "header.bonus.shields", "Schilden" },
        { "header.bonus.structure", "Structuur" },
        { "header.bonus.drive", "Snelheid" },
        { "attack.zone", "Aanvalszonse" },
        { "attack.zone.zone", "Zone {0}" },
        { "attack.zone.points", "{0} - {1} punten" },
        // tech tree
        { "techtree.required", "Benodigd" },
        // trade
        { "Margin", "Marge" },
        { "CalculateBy", "Berekend voor" },
        { "Calculate", "Berekenen" },
        { "Value", "Waarde" },
        { "Volume", "Volume" },
        { "ExchangeRate", "Officiële verdeling" },
        { "Ware", "Handelshoeveelheid" },
        { "min", "min." },
        { "max", "max." },
    };

    @Override
    protected Object[][] getContents()
    {
        return contents;
    }

}
