/****************************************
 *  COPYRIGHT (C) 2008-2024
 *  Holger Graf
 ****************************************/
package sitool.i18n;

import java.util.ListResourceBundle;

import sitool.components.Building;
import sitool.components.CostReduction;
import sitool.components.Defense;
import sitool.components.Research;
import sitool.components.Resource;
import sitool.components.Ship;
import sitool.components.Unit;
import sitool.components.Version;

/**
 * @author graf
 *
 */
public class Messages_ru extends ListResourceBundle
{
    // I'm less than impressed with the .properties handling (especially this native2ascii thingie),
    // lets try this
    private static final Object[][] contents =
    {
        // controls
        { "OK", "OK" },
        { "Close", "Закрыть" },
        { "Cancel", "Прервать" },
        { "New", "Новый" },
        { "Load", "Загрузить..." },
        { "Save", "Сохранить..." },
        { "Import", "Загрузить..." },
        { "load", "{0} Загрузить" },
        { "save", "{0} Сохранить" },
        { "file.exists", "Файл существует. Продолжить сохранение?" },
        { "confirm.overwrite", "Подтверждение Сохранения" },
        { "Compute", "Вычислить" },
        { "Warning", "Внимание!" },
        { "Really.quit", "Закончить без Сохранения?" },
        { "Planet", "Планета" },
        { "Asteroid", "Астероид" },
        { "Building", "Здание" },
        { "Temperature", "Температура" },
        { "Level", "Уровень" },
        { "max.Level", "макс. Уровень" },
        { "WeaponsFact.level", "{0}" },
        { "DevC.level", "Центр разработок" },
        { "Msa.level", "МСУ" },
        { "Energy", "Энергия" },
        { "day.symbol", "Д" },
        { "add", "Добавить" },
        { "cancel", "прервать" },
        { "delete", "Удалить Выбранный" },
        { "deleteAll", "Удалить все" },
        // TechValue
        { "TechValue", "Уровень: {0} (+{1}%)" },
        // enums
        // Language
        { Language.german.name(), "немецкий" },
        { Language.english.name(), "английский" },
        { Language.dutch.name(), "голландский" },
        { Language.french.name(), "французский" },
        { Language.russian.name(), "русский" },
        // Building
        { Building.ironMine.name(), "Рудодобывающая шахта" },
        { Building.furnace.name(), "Рудообрабатывающий завод" },
        { Building.kryptoniteMine.name(), "Криптонитовая шахта" },
        { Building.spiceMine.name(), "Шахта спайса" },
        { Building.fusionPlant.name(), "Электростанция" },
        { Building.thermosolarPlant.name(), "Термо-солнечная фабрика" },
        { Building.developmentCenter.name(), "Центр разработок" },
        { Building.researchLab.name(), "Исследовательская лаборатория" },
        { Building.superComputer.name(), "Super Computer" },
        { Building.weaponsFactory.name(), "Оружейный завод" },
        { Building.fleetBase.name(), "Военная база флота" },
        { Version.v20.name() + "." + Building.fleetBase.name(), "База флота" },
        { Building.ironStorage.name(), "Склад руды" },
        { Building.metalStorage.name(), "Склад металла" },
        { Building.kryptoniteStorage.name(), "Склад криптонита" },
        { Building.spiceStorage.name(), "Склад спайса" },
        { Building.particleCannon.name(), "Энергетическая пушка" },
        { Building.particleShield.name(), "Энергетический щит" },
        { Building.msa.name(), "Микро-системный ускоритель" },
        { Building.teleporter.name(), "Телепорт" },
        { Building.scanner.name(), "Сканирующее устройство галактик" },
        { Building.tunnel.name(), "Tunnel system" },
        // defense
        { Defense.mortar.name(), "Миномёт" },
        { Defense.turboFlak.name(), "Зенитная пушка" },
        { Defense.gravitonCannon.name(), "Лёгкие гравитоновые пушки" },
        { Defense.heavyGravitonCannon.name(), "Тяжёлые гравитоновые пушки" },
        { Defense.ionGun.name(), "Ионное оружие" },
        { Defense.positronLighter.name(), "Позитроновая пушка" },
        { Defense.intervalCannon.name(), "Частотное оружие" },
        { Defense.laserBattery.name(), "Батарея лазерных пушек" },
        { Defense.solarGun.name(), "Солнечное оружие" },
        { Defense.smallShieldDome.name(), "Малый защитный купол" },
        { Defense.largeShieldDome.name(), "Большой защитный купол" },
        // Research
        { Research.mining.name(), "Техника для шахт" },
        { Research.energy.name(), "Энерго-техника" },
        { Research.drive.name(), "Исследования двигателя" },
        { Version.v20.name() + "." + Research.drive.name(), "Исследование двигателя" },
        { Research.rocket.name(), "Ракетный двигатель" },
        { Research.diffusion.name(), "Диффузный двигатель" },
        { Research.warp.name(), "Варп-двигатель" },
        { Research.espionage.name(), "Средства шпионажа" },
        { Research.weapons.name(), "Усовершенствования для оружие" },
        { Research.shields.name(), "Усовершенствования для щита" },
        { Research.structure.name(), "Оборонительные системы" },
        { Research.target.name(), "Системы наведения" },
        { Research.particle.name(), "Анализатор частиц" },
        { Research.graviton.name(), "Гравитационная техника" },
        { Research.teleportation.name(), "Телепортация" },
        { Research.blackhole.name(), "Исследование чёрной дыры" },
        // Resource
        { Resource.iron.name(), "Руда" },
        { Resource.metal.name(), "Металл" },
        { Resource.kryptonite.name(), "Криптонит" },
        { Resource.spice.name(), "Спайс" },
        // ship
        { Ship.none.name(), "" },
        { Ship.smallTransport.name(), "Небольшой транспортер" },
        { Ship.largeTransport.name(), "Большой транспортер" },
        { Ship.transmitter.name(), "Трансмиттер" },
        { Ship.smallFighter.name(), "Маленький охотник" },
        { Ship.manOWar.name(), "Смерч" },
        { Ship.starCruiser.name(), "Линейный Крейсер" },
        { Version.v20.name() + "." + Ship.starCruiser.name(), "Линейный крейсер" },
        { Ship.phoenix.name(), "Феникс" },
        { Ship.colonyShip.name(), "Корабль-колония" },
        { Ship.solarCell.name(), "Солнечный спутник" },
        { Version.v20.name() + "." + Ship.solarCell.name(), "Солнечные спутники" },
        { Ship.probe.name(), "Разведовательный зонд" },
        { Version.v20.name() + "." + Ship.probe.name(), "Разведывательный зонд" },
        { Ship.recycler.name(), "Рециркулятор" },
        { Ship.battleship.name(), "Звёздный Эсминец" },
        { Version.v20.name() + "." + Ship.battleship.name(), "Звездный эсминец" },
        { Ship.stealthBomber.name(), "Бомбардировщик-невидимка" },
        { Ship.destroyer.name(), "Дредноут" },
        { Ship.imperialStarbase.name(), "Звёздный корсар" },
        { Ship.jammer.name(), "Блокирующий зонд" },
        { Ship.empbomb.name(), "Эми-бомба" },
        { Ship.scanship.name(), "Корабль-сканер" },
        // Version
        { Version.nexus.name(), "Nexus" },
        { Version.retro.name(), "Retro" },
        { Version.sirius.name(), "Sirius" },
        { Version.genesis.name(), "GeNeSIS5" },
        { Version.solaris.name(), "GeNeSIS4" },
        { Version.speed.name(), "Speed" },
        { Version.infinity.name(), "Infinity" },
        { Version.v20.name(), "2.0" },
        // MainFrame
        { "MainFrame.menu.file", "Файл" },
        { "MainFrame.menu.file.mnemonic", "Ф" },
        { "MainFrame.menu.file.exit", "Закрыть" },
        { "MainFrame.menu.file.exit.mnemonic", "З" },
        { "MainFrame.menu.skins", "Скины" },
        { "MainFrame.menu.skins.mnemonic", "С" },
        { "MainFrame.menu.skins.default", "Default" },
        { "MainFrame.menu.skins.default.mnemonic", "D" },
        { "MainFrame.menu.skins.black", "Black" },
        { "MainFrame.menu.skins.black.mnemonic", "B" },
        { "MainFrame.menu.skins.blue", "Blue" },
        { "MainFrame.menu.skins.blue.mnemonic", "l" },
        { "MainFrame.menu.skins.bluesteel", "Blue Steel" },
        { "MainFrame.menu.skins.bluesteel.mnemonic", "u" },
        { "MainFrame.menu.skins.blacksteel", "Black Steel" },
        { "MainFrame.menu.skins.blacksteel.mnemonic", "a" },
        { "MainFrame.menu.skins.creme", "Creme" },
        { "MainFrame.menu.skins.creme.mnemonic", "r" },
        { "MainFrame.menu.skins.challenger", "Challenger" },
        { "MainFrame.menu.skins.challenger.mnemonic", "C" },
        { "MainFrame.menu.skins.emerald", "Emerald" },
        { "MainFrame.menu.skins.emerald.mnemonic", "E" },
        { "MainFrame.menu.skins.graphite", "Graphite" },
        { "MainFrame.menu.skins.graphite.mnemonic", "G" },
        { "MainFrame.menu.skins.nebula", "Nebula" },
        { "MainFrame.menu.skins.nebula.mnemonic", "N" },
        { "MainFrame.menu.skins.raven", "Raven" },
        { "MainFrame.menu.skins.raven.mnemonic", "R" },
        { "MainFrame.menu.skins.sahara", "Sahara" },
        { "MainFrame.menu.skins.sahara.mnemonic", "a" },
        { "MainFrame.menu.skins.silver", "Silver" },
        { "MainFrame.menu.skins.silver.mnemonic", "S" },
        { "MainFrame.menu.skins.restart", "Требуется перезагрузка" },
        { "MainFrame.menu.skins.restart.text", "Данное изменение требует перезагрузки программы. Продолжать?" },
        { "MainFrame.menu.help", "Помощь" },
        { "MainFrame.menu.help.mnemonic", "П" },
        { "MainFrame.menu.help.help", "Помощь..." },
        { "MainFrame.menu.help.help.mnemonic", "П" },
        { "MainFrame.menu.help.info", "Инфо..." },
        { "MainFrame.menu.help.info.mnemonic", "И" },
        { "MainFrame.account", "Профиль" },
        { "MainFrame.accounts", "Ваши Профили..." },
        { "MainFrame.planets", "Планеты" },
        { "MainFrame.asteroids", "Астероиды" },
        { "MainFrame.savecalc", "Полёт-Спасение" },
        { "MainFrame.flighttime", "Время Полёта" },
        { "MainFrame.fleet", "Флот" },
        { "MainFrame.research", "Исследования" },
        { "MainFrame.buildings", "Постройки" },
        { "MainFrame.resources", "Экономика" },
        { "MainFrame.statistics", "Статистика" },
        { "MainFrame.techtree", "Тех. дерево" },
        { "MainFrame.trade", "Торговля" },
        //help
        { "Help.title", "Помощь по {0}" },
        { "Help.url", "/help_ru.html" },
        // points
        { "Points", "Пункты" },
        { "Points.buildings", "Постройки: " },
        { "Points.research", "Исслед-ия: " },
        { "Points.fleet", "Флот: " },
        { "Points.tactical", "Tac Fleet Strength: " },
        { "Points.total", "Сумма: " },
        // account
        { "Account.title", "Ваши Профили" },
        { "Account.name", "Название Профиля" },
        { "Account.isdefault", "Основной" },
        { "Account.language", "Язык" },
        { "Account.version", "Версия" },
        { "Account.speed", "Скорость" },
        { "Account.speedUp", "Speed-Up" },
        { "Account.fleetSpeed", "Скорость Флота" },
        { "Account.specialization", "Specialization" },
        { "Account.fleeter", "Fleeter" },
        { "Account.miner", "Miner" },
        { "Account.researcher", "Researcher" },
        { "Account.productionBonus", "Бонус" },
        { "Account.spectral", "Spectral Mode" },
        { "Account.importPlanets", "Intergalactic planet overview" },
        { "Account.importSpyReports", "Отчёт по шпионажу" },
        { "Account.create", "Добавить Профиль" },
        { "Account.remove.selected", "Удалить" },
        { "Account.already.exists", "Данный профиль уже создан!" },
        { "Account.unsaved.data", "Данные Профиля не Сохранены. Закончить без Сохранения?" },
        { "Account.outpost", "Outpost" },
        // planet
        { "Planet.marker", "Планета" },
        { "Planet.name", "Название Планеты" },
        { "Planet.position", "Координаты" },
        { "Planet.size", "Количество Полей" },
        { "Planet.temperature", "Температура" },
        { "Planet.own", "Ваша Планета" },
        { "Planet.astrosize", "Астероид/ Количество Полей" },
        { "Planet.coordinates", "Координаты" },
        { "Planet.import", "Загрузить Планету..." },
        // import planet
        { "PlanetBox.title", "Загрузить Планету" },
        { "PlanetBox.spyMarker", "Отчёт по шпионажу от" },
        // coordinator
        { "Coordinator.title", "Координатор" },
        { "Coordinator.galaxyTicks", "Galaxy Spin" },
        { "Coordinator.ticks", "Spin" },
        { "Coordinator.myPlanets", "Мои Планеты" },
        { "Coordinator.filter", "Фильтр" },
        { "Coordinator.sync", "Synchronise automatically..." },
        { "CoordinatorBox.title", "Синхронизация" },
        // savecalc
        { "Savecalc.ownPlanets", "Ваши Планеты" },
        { "Savecalc.speed", "Скорость Кораблей" },
        { "Savecalc.coords", "Точка Отправления.Координаты" },
        { "Savecalc.flightTime", "Общая Продолжительность Полета" },
        { "Savecalc.calculate", "Вычислить..." },
        { "Savecalc.calculateSaveflight", "Полет-Спасение" },
        { "Savecalc.select1", "Выбор наиболее" },
        { "Savecalc.select2", "точного" },
        { "Savecalc.add", "Сохранить" },
        { "Savecalc.addAll1", "Сохранить для" },
        { "Savecalc.addAll2", "всех планет" },
        { "Savecalc.delete", "Удалить Выбранный" },
        { "Savecalc.deleteAll", "Удалить все Полеты" },
        { "Savecalc.currentFlights", "Возможные Варианты" },
        { "Savecalc.savedFlights", "Сохраненные Полеты" },
        { "Savecalc.currentTime", "Местное Время" },
        { "Savecalc.onewayTime", "Время Разворота" },
        { "Savecalc.returnTime", "Время Прибытия" },
        { "Savecalc.table.start", "Точка Старта" },
        { "Savecalc.table.end", "Цель Полета" },
        { "Savecalc.table.longdistance", "длинное расстояние" },
        { "Savecalc.table.factor", "%" },
        { "Savecalc.table.speed", "Скорость" },
        { "Savecalc.table.oneway", "В одну Сторону" },
        { "Savecalc.table.total", "Общее Время" },
        { "DateBox.title", "Прибытие" },
        { "DateBox.label", "Время Прибытия:" },
        // fleet speed
        { "FleetspeedBox.title", "Скорость Кораблей" },
        // flight time
        { "Flighttime.duration", "Продолжительность" },
        { "Flighttime.start", "Старт" },
        { "Flighttime.target", "Цель" },
        { "Flighttime.available", "В распоряжении" },
        { "Flighttime.number", "Отправить" },
        { "Flighttime.calculate", "Вычислить" },
        { "Flightvelocity.calculate", "Определить состав флота" },
        { "Flightvelocity.select", "Выбор наиболее точного" },
        { "Flighttime.distance", "Расстояние" },
        { "Flighttime.useAvailable", "Выбрать имеющиеся в распоряжении" },
        { "Flighttime.useTransporter", "Учесть только грузовые Корабли" },
        { "Flighttime.selectAll", "Выбрать все" },
        { "Flighttime.deselectAll", "Отменить выбор" },
        { "Flighttime.farmKing", "Farm king" },
        { "Flighttime.allianceSpecialization", "Специализации Альянса" },
        // build queue
        { "BuildList.title", "Список строительств" },
        { "BuildList.constructor", "Конструктор" },
        // research queue
        { "TechList.title", "Список исследований" },
        // import buildings
        { "BuildingBox.title", "Загрузить Данные с: {0}" },
        // fleet
        { "fleet.ships", "Корабли" },
        { "fleet.all.ships", "Все Корабли" },
        { "fleet.LoadCapacity", "Объём загрузки флота" },
        { "fleet.defense", "Оборона" },
        { "fleet.tactical", "Tactical Fleet Strength" },
        { "fleet.fleetbuilder", "Постройка Флота" },
        { "fleet.engineer", "Инженер" },
        // fleet builder cost bonus
        { CostReduction.normal.name(), "Время Постройки: нормально" },
        { CostReduction.level1.name(), "Время Постройки: x10, стоимость: -5%" },
        { CostReduction.level2.name(), "Время Постройки: x30, стоимость: -10%" },
        { CostReduction.level3.name(), "Время Постройки: x50, стоимость: -20%" },
        { CostReduction.level4.name(), "Время Постройки: x100, стоимость: -30%" },
        // import ships
        { "ShipBox.title", "Загрузить Информацию по Кораблям с: {0}" },
        { "ShipBox.view.marker", "[Бб]онус" },
        { "ShipBox.end.marker", "Нападение альянса" },
        // import defenses
        { "DefenseBox.title", "Загрузить Информацию по Обороне с: {0}" },
        // tac fleet strength
        { "Tactical.available", "Мои Корабли" },
        { "Tactical.number", "Количество" },
        { "Tactical.base", "Основа" },
        { "Tactical.bonus", "Бонус" },
        { "Tactical.sync", "Sync" },
        { "Tactical.reset", "Reset" },
        // resource view
        { "Resources.multipleProduction", "Production multiplier: " },
        { "Resources.mentorBonus", "Bonus (%): " },
        { "Resources.allianceSpecialization.producer", "Производитель (%): " },
        { "Resources.productionBonus", "Production bonus (%)" },
        { "Resources.production", "Производство за " },
        { "Resources.vacationMode", "РВД" },
        { "Resources.import", "Информация по Ресурсам..." },
        { "Resources.inFlight", "On flight missions" },
        { Unit.Minute.name(), "Минута" },
        { Unit.Hour.name(), "Час" },
        { Unit.Day.name(), "День" },
        // import resources
        { "ResourceBox.title", "Загрузить Данные по ресурсам" },
        { "AstroResourceBox.title", "Загрузить Данные по ресурсам с: {0}" },
        // import technology
        { "TechBox.title", "Загрузить Данные" },
        { "TechBox.button", "Загрузить Данные..." },
        { "Bonus.mine.production", " +{0}% Эффективности Шахт" },
        { "Bonus.energy.production", " +{0}% Производства Энергии" },
        { "Bonus.rocket", " +{0}% Скорости Ракетного двигателя" },
        { "Bonus.diffusion", " +{0}% Скорости Диффузного двигателя" },
        { "Bonus.warp", " +{0}% Скорости Варп-двигателя" },
        { "Bonus.firepower", " +{0}% Силы Выстрела" },
        { "Bonus.shields", " +{0}% Эффективности Щита" },
        { "Bonus.structure", " +{0}% Увеличение Прочности" },
        // table models
        { "total.points", "Очки:   " },
        { "total", "Общее" },
        { "resourceequivalenz", "Ресурсы эквивалентны" },
        { "Structure", "Структура" },
        { "Shield", "Щит" },
        { "Firepower", "Сила Выстрела" },
        { "Velocity", "Скорость" },
        { "Holds", "Грузовой Отсек" },
        { "Consumption", "Расход" },
        { "Buildtime", "Время Постройки" },
        { "Researchtime", "Время Исследования" },
        { "Number", "Кол-во" },
        { "Transmitters", "Транс- миттеры" },
        { "Capacity", "Размер склада" },
        { "Efficiency", "Эффективность" },
        { "Sum", "Общее Количество" },
        // statistics
        { "statistics.buildings", "Постройки" },
        { "statistics.research", "Исследования" },
        { "statistics.ships", "Флот" },
        { "statistics.defense", "Оборона" },
        { "ResearchLab", "Исследовательская лаборатория" },
        { "Research", "Исследование" },
        { "Production.p.h", "Производство/час" },
        { "Production.p.h.temp", "Производство/час при {0} °C" },
        { "Metalproduction.p.h", "Металл- Производство/час" },
        { "Energyproduction.p.h", "Энергия  Производство/час" },
        { "Ironconsumption.p.h", "Расход руды/час" },
        { "Energyconsumption.p.h", "Расход электричества" },
        { "Spiceconsumption.p.h", "Расход Спайса/час" },
        { "Particle.buffer", "Склад Энергии" },
        { "Range", "Дальность Действия" },
        { "one.system", "1" },
        { "header.bonus.mining", "Эффективность Шахт" },
        { "header.bonus.energy", "Эффективность Электростанций" },
        { "header.bonus.weapons", "Увеличение Силы Выстрела" },
        { "header.bonus.shields", "Эффективность Щита" },
        { "header.bonus.structure", "Увеличение Прочности" },
        { "header.bonus.drive", "Увеличение Скорости" },
        { "attack.zone", "Зоны нападения" },
        { "attack.zone.zone", "Зона нападения {0}" },
        { "attack.zone.points", "{0} - {1} Пунктов" },
        // tech tree
        { "techtree.required", "Необходим" },
        // trade
        { "Margin", "Возможные Варианты" },
        { "CalculateBy", "Подсчет" },
        { "Calculate", "Подсчитать" },
        { "Value", "Норм." },
        { "Volume", "Пропорц." },
        { "ExchangeRate", "Торговый Курс" },
        { "Ware", "Количество Ресурсов" },
        { "min", "мин." },
        { "max", "макс." },
    };

    @Override
    protected Object[][] getContents()
    {
        return contents;
    }

}
