/****************************************
 *  COPYRIGHT (C) 2018
 *  Holger Graf
 ****************************************/
package sitool.json;

import java.io.IOException;
import java.util.List;
import java.util.Map;

import com.fasterxml.jackson.jr.ob.JSON;
import com.fasterxml.jackson.jr.ob.JSONObjectException;

import datatransfer.json.InfoBean;

/**
 * @author graf
 *
 */
public class IntergalacticOverviewBean {

    private InfoBean info;
    private List<PlanetBean> planets;
    private Map<String, LevelBean> researches;
    private SpecsBean specs;
    private Map<String, LevelBean> ships;
    private TotalResourceBean resources;


    public IntergalacticOverviewBean() {}


    public InfoBean getInfo() {
        return info;
    }

    public void setInfo( InfoBean info ) {
        this.info = info;
    }

    public List<PlanetBean> getPlanets() {
        return planets;
    }

    public void setPlanets( List<PlanetBean> planets ) {
        this.planets = planets;
    }

    public Map<String, LevelBean> getResearches() {
        return researches;
    }

    public void setResearches( Object researches ) throws JSONObjectException, IOException {
        this.researches = null;
        if(researches instanceof Map) {
            this.researches = JSON.std.beanFrom(LevelMap.class, JSON.std.asString(researches));
        }
    }

    public SpecsBean getSpecs() {
        return specs;
    }

    public void setSpecs( SpecsBean specs ) {
        this.specs = specs;
    }

    public Map<String, LevelBean> getShips() {
        return ships;
    }

    public void setShips( Map<String, LevelBean> ships ) {
        this.ships = ships;
    }

    public TotalResourceBean getResources() {
        return resources;
    }

    public void setResources( TotalResourceBean resources ) {
        this.resources = resources;
    }

}
