/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.table;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JTable;
import javax.swing.SwingConstants;

public class BuildingTableCellRenderer extends BlindTableCellRenderer
{
    private static final long serialVersionUID = 6593564417134425398L;
    protected final static Color amber = new Color( 250, 140, 25 );
    protected final static Color darkgreen = new Color( 10, 130, 10 );
    protected final static Color darkred = new Color( 150, 10, 10 );

    public BuildingTableCellRenderer()
    {
        super();
        setHorizontalAlignment( SwingConstants.CENTER );
    }

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)
    {
        super.getTableCellRendererComponent( table, value, isSelected, hasFocus, row, column );
        String text = (value != null) ? value.toString() : "";
        if( text.trim().length() > 0 )
        {
            String s[] = text.split( "/" );
            if( s.length == 2 )
            {
                try
                {
                    int used = Integer.parseInt( s[0].trim() );
                    int all  = Integer.parseInt( s[1].trim() );
                    Color fg = table.getForeground();
                    if( all <= 0 || all - used < 3 )
                    {
                        fg = darkred;
                    }
                    else if( all - used < 15 && 100 * used / all >= 70  )
                    {
                        fg = amber;
                    }
                    else
                    {
                        fg = darkgreen;
                    }
                    setForeground( fg );
                }
                catch( NumberFormatException ex )
                {}
            }
        }
        return this;
    }

}
