package sitool.table;

import java.awt.Component;

import javax.swing.JComboBox;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

public class ComboBoxTableCellRenderer implements TableCellRenderer
{
    private JComboBox renderer;
    private TableCellRenderer delegate;

    public ComboBoxTableCellRenderer( JComboBox renderer )
    {
        super();
        this.renderer = renderer;
        this.delegate = new AlternateLineTableCellRenderer();
    }

    public Component getTableCellRendererComponent (JTable table, 
                    Object value, boolean isSelected, boolean hasFocus, int row, int column) 
    {
        Component c = delegate.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
        renderer.setBackground( c.getBackground() );
        renderer.setForeground( c.getForeground() );
        // Configure the component with the specified value
        renderer.setSelectedItem( value );
        
        return renderer;
    }

}
