package sitool.table;

import java.awt.Component;
import javax.swing.AbstractCellEditor;
import javax.swing.JComponent;
import javax.swing.JSpinner;
import javax.swing.JTable;
import javax.swing.SpinnerModel;
import javax.swing.table.TableCellEditor;

public class SpinnerCellEditor extends AbstractCellEditor implements TableCellEditor
{
    private static final long serialVersionUID = 8559972395158246159L;

    private JSpinner spinner = new JSpinner();

    // Initializes the spinner.
    public SpinnerCellEditor( SpinnerModel model )
    {
        this.spinner.setModel( model );
        this.spinner.setBorder(null);
    }

    public JSpinner getSpinnerComponent()
    {
        return spinner;
    }


    public void setEditor(JComponent editor)
    {
        spinner.setEditor(editor);
    }

    // Prepares the spinner component and returns it.
    public Component getTableCellEditorComponent(JTable table, Object value,
            boolean isSelected, int row, int column)
    {
        spinner.setValue(value);
        return spinner;
    }

    // Returns the spinners current value.
    public Object getCellEditorValue()
    {
        return spinner.getValue();
    }

    @Override
    public boolean stopCellEditing() {
        // commit current editor value
        try {
            if (spinner.getEditor() instanceof JSpinner.NumberEditor) {
                JSpinner.NumberEditor editor = (JSpinner.NumberEditor)spinner.getEditor();
                if(editor.getTextField().getText().length() == 0) {
                    editor.getTextField().setText("0");
                }
                editor.commitEdit();
            }
        }
        catch(Exception e) {}
        return super.stopCellEditing();
    }
}
