package sitool.table;

import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.JComponent;
import javax.swing.JSpinner;
import javax.swing.JTable;
import javax.swing.SpinnerModel;
import javax.swing.table.TableCellRenderer;

public class SpinnerTableCellRenderer implements TableCellRenderer
{
    private JSpinner spinner = new JSpinner();
    private TableCellRenderer delegate;

    protected Component renderer;

    public SpinnerTableCellRenderer( SpinnerModel model )
    {
        super();
        this.spinner.setModel( model );
        this.delegate = new AlternateLineTableCellRenderer();
        spinner.setFont( spinner.getFont().deriveFont( Font.PLAIN ) );
    }


    public JSpinner getSpinnerComponent()
    {
        return spinner;
    }


    public void setEditor(JComponent editor)
    {
        spinner.setEditor(editor);
    }


    public Component getTableCellRendererComponent (JTable table,
                    Object value, boolean isSelected, boolean hasFocus, int row, int column)
    {
        renderer = delegate.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
        Color color = renderer.getBackground();
        spinner.setBackground( color );
        // workaround for Bug ID:5047316
        JSpinner.DefaultEditor editor = (JSpinner.DefaultEditor)spinner.getEditor();
        editor.getTextField().setBackground( color );
        color = renderer.getForeground();
        editor.getTextField().setForeground( color );

        spinner.setBorder( null );

        // Configure the component with the specified value
        if(value != null) {
            spinner.setValue( value );
        }

        return spinner;
    }
}
