/****************************************
 *  COPYRIGHT (C) 2008
 *  Holger Graf
 ****************************************/
package sitool.table;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.border.EmptyBorder;

public class TemperatureTableCellRenderer extends AlternateLineTableCellRenderer
{
    private static final long serialVersionUID = 6231853290242615424L;
    private static String c = "\u00b0C";

    public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)
	{
		Component renderer = super.getTableCellRendererComponent( table, value, isSelected, hasFocus, row, column );
		if( renderer instanceof JLabel )
		{
			JLabel label = (JLabel) renderer;
			label.setBorder( new EmptyBorder( 0, 4, 0, 10 ) );
            label.setHorizontalAlignment( SwingConstants.RIGHT );
            String text = label.getText();
            if( text.trim().length() > 0 )
            {
                text += " " + c;
                label.setText( text );
            }
		}
		return renderer;
	}

}
